System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Object

SOAP encoding of SOAP Web service messages is described in Section 5 of the SOAP 1.1 specification.

The class provides a programmatic representation of an XML Schema definition language (XSD) document.

You should not use the class directly.

Populates objects with XML Schema data type definitions for .NET Framework types that are serialized using SOAP encoding.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  You should not create an instance of the class directly.

  Initializes a new instance of the class, which supplies the collection of objects to which XML Schema element declarations are to be added.

  A collection of objects to which element declarations obtained from type mappings are to be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  You should not use the class directly.

  Adds to the applicable object a data type definition for each of the element parts of a SOAP-encoded message definition.

  Internal .NET Framework type mappings for the element parts of a WSDL message definition.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  You should not use the class directly.

  Adds to the applicable object a data type definition for each of the element parts of a SOAP-encoded message definition.

  Internal .NET Framework type mappings for the element parts of a WSDL message definition. true to export a type definition for the parent element of the WSDL parts; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  You should not use the class directly.

  Adds to the applicable object a data type definition for a .NET Framework type.

  An internal mapping between a .NET Framework type and an XML Schema element.